%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package Sys-Hostname-Long

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	1.2
Release:	1.%{__distinit}%{__distvers}
License:	GPL
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://search.cpan.org/search?mode=module&query=Sys::Hostname::Long
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}

%description
Attempt via many methods to get the system's full name. The Sys::Hostname
class is the best and standard way to get the system hostname. However,
it is missing the long hostname.

%prep
%setup -q -n %{__perl_package}-%{version}

# Kludge to remove bogus Win32::TieRegistry requirement
%{__cat} <<EOF >%{_builddir}/%{__perl_package}-%{version}/find_requires
#! /bin/sh
exec %{__find_requires} | /bin/egrep -v '^perl[(]Win32::TieRegistry[)]$'
exit 0
EOF
chmod +x %{_builddir}/%{__perl_package}-%{version}/find_requires
%define _use_internal_dependency_generator 0
%define __find_requires %{_builddir}/%{__perl_package}-%{version}/find_requires

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"

%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
%{_bindir}/find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
%{_bindir}/find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST Changes

%changelog
* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> 1.2-1
- Update to 1.2
- Tidy up spec file
- Add kludge to remove bogus dependency on Win32::TieRegistry

* Wed Apr 14 2004 Paul Howarth <paul@city-fan.org> 1.0-2
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuilt from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Thu Feb 26 2004 Paul Howarth <paul@city-fan.org> 1.0-1
- Initial build
